javax.servlet

## Class ServletRequestAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.servlet.ServletRequestEvent
    - - javax.servlet.ServletRequestAttributeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ServletRequestAttributeEvent
    extends ServletRequestEvent

This is the event class for notifications of changes to the attributes of the servlet request in an application.

Since:
  Servlet 2.4
See Also:
  `ServletRequestAttributeListener`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ServletRequestAttributeEvent(ServletContext sc, ServletRequest request, java.lang.String name, java.lang.Object value)` Construct a ServletRequestAttributeEvent giving the servlet context of this web application, the ServletRequest whose attributes are changing and the name and value of the attribute.

### Method Summary

Methods
`java.lang.String` `getName()` Return the name of the attribute that changed on the ServletRequest.
`java.lang.Object` `getValue()` Returns the value of the attribute that has been added, removed or replaced.

### Methods inherited from class javax.servlet.ServletRequestEvent

`getServletContext, getServletRequest`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletRequestAttributeEvent

    public ServletRequestAttributeEvent(ServletContext sc,
                                ServletRequest request,
                                java.lang.String name,
                                java.lang.Object value)

Construct a ServletRequestAttributeEvent giving the servlet context of this web application, the ServletRequest whose attributes are changing and the name and value of the attribute.

Parameters:
  `sc` - the ServletContext that is sending the event.
  `request` - the ServletRequest that is sending the event.
  `name` - the name of the request attribute.
  `value` - the value of the request attribute.

### Method Detail

#### getName

    public java.lang.String getName()

Return the name of the attribute that changed on the ServletRequest.

Returns:
  the name of the changed request attribute

#### getValue

    public java.lang.Object getValue()

Returns the value of the attribute that has been added, removed or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

Returns:
  the value of the changed request attribute